# Re-run Stages Execution of a Pipeline

Endpoint: POST /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/execute/rerun/{execution-id}/stages
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

  - `execution-id` (string, required)
    Pipeline Execution identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `branch_name` (string)
    Name of the branch (for Git Experience).

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `repo_name` (string)
    Name of the repository (for Git Experience)

  - `use_fqn_if_error` (boolean)
    Use FQN in error response

  - `module` (string)
    Module type for the entity. If its from deployments,type will be CD , if its from build type will be CI.

  - `notes` (string)
    Notes of a pipeline execution

## Request fields (application/json):

  - `inputs_yaml` (string)
    Inputs yaml of the Pipeline.

  - `stage_identifiers` (array)
    List of stages to run.

  - `expression_values` (object)
    If any selected stage to execute has expressions, then this map contains expressions with its corresponding values.

## Response 200 fields (application/json):

  - `execution_details` (object)

  - `execution_details.execution_id` (string)

  - `execution_details.status` (string)


